File: metadata.yml

package info (click to toggle)
ruby-awesome-nested-set 3.0.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, jessie, jessie-kfreebsd, sid, stretch
  • size: 160 kB
  • ctags: 206
  • sloc: ruby: 948; makefile: 2
file content (145 lines) | stat: -rw-r--r-- 3,730 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
--- !ruby/object:Gem::Specification
name: awesome_nested_set
version: !ruby/object:Gem::Version
  version: 3.0.0
platform: ruby
authors:
- Brandon Keepers
- Daniel Morrison
- Philip Arndt
autorequire: 
bindir: bin
cert_chain: []
date: 2014-07-29 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: activerecord
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: 4.0.0
    - - "<"
      - !ruby/object:Gem::Version
        version: '5'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: 4.0.0
    - - "<"
      - !ruby/object:Gem::Version
        version: '5'
- !ruby/object:Gem::Dependency
  name: rspec-rails
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '2.12'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '2.12'
- !ruby/object:Gem::Dependency
  name: rake
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '10'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '10'
- !ruby/object:Gem::Dependency
  name: combustion
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: 0.3.3
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: 0.3.3
- !ruby/object:Gem::Dependency
  name: database_cleaner
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: '0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ">="
      - !ruby/object:Gem::Version
        version: '0'
description: An awesome nested set implementation for Active Record
email: info@collectiveidea.com
executables: []
extensions: []
extra_rdoc_files:
- README.md
files:
- CHANGELOG
- MIT-LICENSE
- README.md
- lib/awesome_nested_set.rb
- lib/awesome_nested_set/awesome_nested_set.rb
- lib/awesome_nested_set/columns.rb
- lib/awesome_nested_set/helper.rb
- lib/awesome_nested_set/iterator.rb
- lib/awesome_nested_set/model.rb
- lib/awesome_nested_set/model/movable.rb
- lib/awesome_nested_set/model/prunable.rb
- lib/awesome_nested_set/model/rebuildable.rb
- lib/awesome_nested_set/model/relatable.rb
- lib/awesome_nested_set/model/transactable.rb
- lib/awesome_nested_set/model/validatable.rb
- lib/awesome_nested_set/move.rb
- lib/awesome_nested_set/set_validator.rb
- lib/awesome_nested_set/tree.rb
- lib/awesome_nested_set/version.rb
homepage: http://github.com/collectiveidea/awesome_nested_set
licenses:
- MIT
metadata: {}
post_install_message: 
rdoc_options:
- "--main"
- README.md
- "--inline-source"
- "--line-numbers"
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 2.2.2
signing_key: 
specification_version: 4
summary: An awesome nested set implementation for Active Record
test_files: []